package com.ruoyi.xq.enums;

import com.ruoyi.common.exception.IErrorService;
import lombok.Getter;

@Getter
public enum ErrorEnum implements IErrorService {
    VIP_AUTH(600100,"权限不足，需要开通VIP"),
    WX_TRANS_ERROR(600200,"微信交换次数余额不足"),
    ;
    private final Integer code;
    private final String text;

    ErrorEnum(Integer code, String text) {
        this.code = code;
        this.text = text;
    }
}
